Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.metadataprocessors.internal.provisional
Class MetaDataEnabledProcessingFactory

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.MetaDataEnabledProcessingFactory

public final class MetaDataEnabledProcessingFactory
extends java.lang.Object

Singleton class that will produce `IMetaDataEnabledFeature`s that the caller can use for processing.

Field Summary
`static java.lang.String` | `ATTRIBUTE_VALUE_RUNTIME_TYPE_PROP_NAME` Name of property in annotation file to use when applying a runtime type to an attribute value

Method Summary
`java.util.List` | `getAttributeValueRuntimeTypeFeatureProcessors(java.lang.Class featureType, IStructuredDocumentContext sdContext, java.lang.String uri, java.lang.String elementName, java.lang.String attributeName)` Returns list of `IMetaDataEnabledFeature` adapters for given Content Model attribute.
`static MetaDataEnabledProcessingFactory` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_VALUE_RUNTIME_TYPE_PROP_NAME

    public static final java.lang.String ATTRIBUTE_VALUE_RUNTIME_TYPE_PROP_NAME

  Name of property in annotation file to use when applying a runtime type to an attribute value

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static MetaDataEnabledProcessingFactory getInstance()

### getAttributeValueRuntimeTypeFeatureProcessors

    public java.util.List getAttributeValueRuntimeTypeFeatureProcessors(java.lang.Class featureType,
                                                                        IStructuredDocumentContext sdContext,
                                                                        java.lang.String uri,
                                                                        java.lang.String elementName,
                                                                        java.lang.String attributeName)

  Returns list of `IMetaDataEnabledFeature` adapters for given Content Model attribute. Adapters will be scanned for first by uri, element, attribute and if not found, uri, "*", attribute and if still not found by "*", "*", attribute.

  Parameters:
    `elementName` -
    `attributeName` -
  Returns:
    returns null - if the annotation was not found
    returns empty list - if not a `IMetaDataEnabledFeature` proccessor or is not valid or does not support the specified feature
  See Also:
    `MetaDataEnabledProcessingFactory.ATTRIBUTE_VALUE_RUNTIME_TYPE_PROP_NAME`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD